package digital.laboratory.platform.reagent.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import digital.laboratory.platform.common.mybatis.base.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * (符合性检查记录表)
 *
 * @author Zhang Xiaolong created at  2023-03-10 14:25:04
 * @describe (符合性检查记录表) 实体类
 */
@Data
@TableName(value = "compliance_check", autoResultMap = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "(符合性检查记录表)")
public class ComplianceCheck extends BaseEntity {

    /**
     * (一级审核意见)
     */
    @ApiModelProperty(value="(一级审核意见)")
    private String auditOpinionOfPrimary;

    /**
     * (二级审核意见)
     */
    @ApiModelProperty(value="(二级审核意见)")
    private String auditOpinionOfSecondary;

    /**
     * (一级审核结果)
     */
    @ApiModelProperty(value="(一级审核结果)")
    private String auditResultOfPrimary;

    /**
     * (二级审核结果)
     */
    @ApiModelProperty(value="(二级审核结果)")
    private String auditResultOfSecondary;

    /**
     * (一级审核时间)
     */
    @ApiModelProperty(value="(一级审核时间)")
    private LocalDateTime auditTimeOfPrimary;

    /**
     * (二级审核时间)
     */
    @ApiModelProperty(value="(二级审核时间)")
    private LocalDateTime auditTimeOfSecondary;

    /**
     * (检查不符合项目)
     */
    @ApiModelProperty(value="(检查不符合项目)")
    private String checkForNonconformities;

    /**
     * (检查日期)
     */
    @ApiModelProperty(value="(检查日期)")
    private LocalDateTime dateOfInspection;

    /**
     * (检查结论)
     */
    @ApiModelProperty(value="(检查结论)")
    private String examinationConclusion;

    /**
     * (执行人ID)
     */
    @ApiModelProperty(value="(执行人ID)")
    private String executorId;

    /**
     * (一级审核人ID)
     */
    @ApiModelProperty(value="(一级审核人ID)")
    private String primaryAuditorId;

    /**
     * (检查方案)
     */
    @ApiModelProperty(value="(检查方案)")
    private String inspectionScheme;

    /**
     * (状态)
     */
    @ApiModelProperty(value="(状态)")
    private Integer status;

    /**
     * (二级审核人ID)
     */
    @ApiModelProperty(value="(二级审核人ID)")
    private String secondaryAuditorId;

    /**
     * complianceCheckId
     */
    @TableId(value = "compliance_check_id", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value="complianceCheckId")
    private String complianceCheckId;






}
