package digital.laboratory.platform.reagent.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import digital.laboratory.platform.reagent.entity.SigningRecordForm;
import digital.laboratory.platform.reagent.vo.SigningRecordFormVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 签收记录表 Mapper 接口
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe 签收记录表 Mapper 类
 */
@Mapper
public interface SigningRecordFormMapper extends BaseMapper<SigningRecordForm> {

    IPage<SigningRecordFormVO> getSigningRecordFormVOPage (IPage<SigningRecordForm> page, QueryWrapper<SigningRecordForm> qw);

    List<SigningRecordFormVO> getSigningRecordFormVOList (QueryWrapper<SigningRecordForm> qw);

    SigningRecordFormVO getSigningRecordFormVO (String signingRecordFormId);

}
